MQNext - Download and Problem Report Thread

Num

Premium Member
Joined
Dec 13, 2009
Messages
150
Reaction score
2
Points
18
It is now saying all of plugins are out of date after this last batch updated.
Did you figure out a fix for this? My Next is still doing this and I've been experiencing several game freezes and think that it's related.
@htw have you seen this happen before?
 
Last edited:
  • Like
Reactions: EQDAB

htw

Developer
Joined
Aug 27, 2006
Messages
13,054
Reaction score
205
Points
63
Location
Albuquerque, NM
Did you figure out a fix for this? My Next is still doing this and I've been experiencing several game freezes and think that it's related.
@htw have you seen this happen before?
I can't be positive what your fix would be. You're the only one mentioning it (I can't duplicate any such issue). Is it possible you have plugins where they shouldn't be? Maybe in the main next dir, instead of only in the next\plugins dir?
 
  • Like
Reactions: EQDAB

Num

Premium Member
Joined
Dec 13, 2009
Messages
150
Reaction score
2
Points
18
I think I see the issue. I have old, outdated plugins in my Config folder from the migration program I ran. The updated plugins are getting downloaded and put into a folder named Plugins. I'm assuming that the MMOLoader program is using the old, outdated plugins that are located in my Config folder instead of the ones in the Plugins folder.
 
  • Like
Reactions: EQDAB

MROUTLAW

Premium Member
Joined
Apr 23, 2009
Messages
66
Reaction score
1
Points
8
Age
53
has this been updated for todays patch? i am still seeing out of date but wasnt sure if the updater was working for this version yet as i manually downloaded last time
 

smith8454

Premium Member
Joined
Jun 24, 2009
Messages
615
Reaction score
45
Points
28
having an issue after the last patch 1/19/2022

only 1 account after starting the MQ2bot is crashing, I sent a bug report. I will copy and paste the report
date: 1/20/2022
Time: 0911 am
 

Attachments

  • Like
Reactions: EQDAB

kenstr

Premium Member
Joined
Jul 9, 2007
Messages
13
Reaction score
4
Points
3
After downloading the latest update, a box pops up saying the following plugins are out of date and no longer supported. All the plugins are in the list. I just click no to continue. This pops up every time I start MQNext
 
  • Wow
Reactions: EQDAB

zipit

Premium Member
Joined
Aug 15, 2010
Messages
23
Reaction score
2
Points
3
Age
52
Hi Gang , did [if ]statements stop working in mq2next ? cant seem to get them to work SelfBuffIf2=0 ?
 
  • Wow
Reactions: EQDAB

akiima

Premium Member
Joined
May 3, 2016
Messages
14
Reaction score
10
Points
3
Not sure if this has been reported, just switched over to try the next compile today. Ran migration tool, and everything looks good. When using auto login, with mq2nosummon.dll plugged in, it wont load a character and crashes. I had to delete the .dll in order to launch my toons.
 
  • Wow
Reactions: EQDAB

Fry

Fry Guy
Joined
Jan 31, 2005
Messages
11,560
Reaction score
325
Points
83
Location
Australia
Website
www.mmobugs.com
I have just pushed an update for MQNext (Use link in first post of this thread to download if you haven't got MQNext installed already). The release is for the die hards, as it still has a lot of problems. I would suggest to stay away unless you want to crash a lot. We are still working on problems, but wanted to at least put something out there for people to use.

Current Known Issues:
MQ2MMOBugs - login is bugged and logging people in as "nobody" but will grant access to plugins.
MQ2DoCrack - will crash entering game (Unload it)
MQ2MMOFastMem - doesn't work (Unload it or you wont be able to memorize spells)
MQ2ReachIt - Crashing using some commands (/fartaunt)

If you can pinpoint other problems not stated above, please let us know so we can add it to list.
 
Last edited:

Klesko

Premium Member
Joined
Jun 21, 2017
Messages
21
Reaction score
0
Points
1
Testing so far
  • mq2pluginman - crashes on enter world or loading in game and doing /reloadui
  • mq2autoclaim - crashes on load
Not tested as they were listed above
  • MQ2DoCrack
  • MQ2MMOFastMem
  • MQ2ReachIt
 

kenstr

Premium Member
Joined
Jul 9, 2007
Messages
13
Reaction score
4
Points
3
Everything loaded fine minus the plugins listed above (had to unload mq2pluginman as well). Started MQ2bot and 3 of my 6 toons crashed.
 

Fry

Fry Guy
Joined
Jan 31, 2005
Messages
11,560
Reaction score
325
Points
83
Location
Australia
Website
www.mmobugs.com
New release out. Fixed everything known above. Thanks to everyone helping fix issues, and those reporting above. Please keep posting problems with this release. I believe this release should be pretty stable but I'd like to see more testing until I make it offical.

Current Known Issues:
MQ2DPSAdv: Crashing issue
Plugins using "FlushInstructionCache" wont function 100% correct. (MQ2NoGold, MQ2DoCrack, MQ2SpeedUtils, MQ2WickedSpeed, MQ2ReachIt)
 
Last edited:

freewilly

Lifetime Member
Joined
Sep 20, 2006
Messages
190
Reaction score
20
Points
18
New release out. Fixed everything known above. Thanks to everyone helping fix issues, and those reporting above. Please keep posting problems with this release. I believe this release should be pretty stable but I'd like to see more testing until I make it offical.

Current Known Issues:
MQ2DPSAdv:
Crashing issue
Plugins using "FlushInstructionCache" wont function 100% correct. (MQ2NoGold, MQ2DoCrack, MQ2SpeedUtils, MQ2WickedSpeed, MQ2ReachIt)
Some toons crash immediately after enabling Mq2Bot, ie, /bot on. Unloaded every unnecessary plugin with only MQ2Chatwnd, MQ2Cast & MQ2Bot loaded and still instant crash, repeatedly. Also, you cannot start EQBC from within MMOLoader, have to manually start it.
 

Boof

Premium Member
Joined
Sep 17, 2016
Messages
1
Reaction score
0
Points
1
Sorry I'm a little confused I think, the front page has live as up?,
yet the original mmoloader wont download any updates (or work).. are we required to move to Next?
as that's the only updated version I can see.. sorry if I've missed a thread etc, wasn't really paying much attention to all the previous just checking now and then to see if it was up..
 

bpt82282

Premium Member
Joined
Sep 27, 2011
Messages
46
Reaction score
31
Points
18
I think that next is the only version that has been put out right now.

/assist is currently broken in this release. Xeniaz knows and is his list of things to work on. Can get around using assist in a macro with the following

/target ${Sender}
/delay 1
/target id ${Me.TargetOfTarget.ID}
 

Fry

Fry Guy
Joined
Jan 31, 2005
Messages
11,560
Reaction score
325
Points
83
Location
Australia
Website
www.mmobugs.com
Sorry I'm a little confused I think, the front page has live as up?,
yet the original mmoloader wont download any updates (or work).. are we required to move to Next?
as that's the only updated version I can see.. sorry if I've missed a thread etc, wasn't really paying much attention to all the previous just checking now and then to see if it was up..
There is a big story about MacroQuest community splitting into two with this latest 64bit update. MQ2 has moved to MQ64 which is being run by EQMule and can be found at https://mq64.org. What split the community is parts of MQ64 is closed source where MQNext is not. MQ64 have there reasons, mainly due to an agreement with Darkpaw to leave MQ users alone which really isn't working out too well. Next being open source and having a newly re-written engine, has a larger and move active community supporting it is the reason why we decided to continue down that path. We have updated everything for MQNext here, as it will do everything MQ2 can do and should be easier for us to keep everything up to date. The work required for us to maintain both MQ64 and MQNext is too much after a patch like this and since it really does the exact same thing, we've switched to supporting just MQNext.

It will take awhile to get used to and to move your settings over, but long term it's for the best.
 
Last edited:
  • Like
  • Love
Reactions: EQDAB and Num